﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EditorValidation
{
    class EmployeeData
    {
        [Display(Name = "Name")]
        public string EmployeeName { get; set; }

        [DisplayFormat(DataFormatString = "0 yrs")]
        public UInt32 Age { get; set; }

        [Display(Name = "Email")]
        [Required(ErrorMessage = "Email ID is Required")]
        public string EmployeeEmail { get; set; }
        public string Contact { get; set; }

        public static BindingList<EmployeeData> GetSampleData()
        {
            var EmployeeList = new BindingList<EmployeeData>();
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Ronnie Parker", Age = 21, EmployeeEmail = "ronnieparker12@gmail.com", Contact = "(123)299-3490"});
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Kevin Warner", Age = 25, EmployeeEmail = "kevin005warner@gmail.com", Contact = "(135)981-0374"});
            EmployeeList.Add(new EmployeeData() { EmployeeName = "David Hussy", Age = 22, EmployeeEmail = "hussydavid@hot.com", Contact = "(140)371-9257" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Michal Clark", Age = 31, EmployeeEmail = "michal45clark@gmail.com", Contact = "(119)293-4829" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Tom Moody", Age = 44, EmployeeEmail = "tommoody56@gmail.com", Contact = "(903)481-0138" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Stephan Stonnis", Age = 19, EmployeeEmail = "stephanst129@gmail.com", Contact = "(578)202-9082" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Glen Stark", Age = 36, EmployeeEmail = "glen1starck@outlook.com", Contact = "(478)592-0902" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Steve Butler", Age = 28, EmployeeEmail = "butlerbb5@gmail.com", Contact = "(201)939-5802" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Dale Fleming", Age = 25, EmployeeEmail = "dale95fleming@yahoo.com", Contact = "(583)920-4091" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Merry Jones", Age = 33, EmployeeEmail = "jonesmerry1@gmail.com", Contact = "(209)812-8345" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Ema Watson", Age = 39, EmployeeEmail = "ema007watson@gmail.com", Contact = "(444)910-2039" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Robert Stiff", Age = 40, EmployeeEmail = "robertstiff0@outlook.com", Contact = "(353)250-9323" });
            EmployeeList.Add(new EmployeeData() { EmployeeName = "Tood Hill", Age = 20, EmployeeEmail = "tomhill112@hotmail.com", Contact = "(999)944-4432" });
            return EmployeeList;
        }
    }
}
