﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.ComponentModel.DataAnnotations;
using C1.Win.C1FlexGrid;

namespace EditorValidation
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1FlexGrid1.DataSource = EmployeeData.GetSampleData();
            c1FlexGrid1.AutoSizeCols();
            c1FlexGrid1.Rows.DefaultSize = 30;
            c1FlexGrid1.Cols.Fixed = 0;
            c1FlexGrid1.Styles.Fixed.Font = new Font("Times New Roman", 10, FontStyle.Bold);
            c1FlexGrid1.Font = new Font("Times New Roman", 12, FontStyle.Regular);
            c1FlexGrid1.AllowAddNew = true;
            SetupGridColumns();
            c1FlexGrid1.Cols[0].StarWidth = "*";
            c1FlexGrid1.Cols[1].StarWidth = "*";
            c1FlexGrid1.Cols[2].StarWidth = "2*";
            c1FlexGrid1.Cols[3].StarWidth = "*";
            c1FlexGrid1.AllowAddNew = true;
            c1FlexGrid1.ShowErrors = true;
        }
        private void SetupGridColumns()
        {
            var Name = c1FlexGrid1.Cols["EmployeeName"];
            Name.EditorValidation.Add(new RequiredRule());
            Name.EditorValidation.Add(new StringLengthRule()
            {
               MinimumLength = 5
            });
            var Age = c1FlexGrid1.Cols["Age"];
            Age.EditorValidation.Add(new RequiredRule());
            Age.EditorValidation.Add(new RangeRule()
            {
                Minimum = 18,
                Maximum = 50               
            });
            var Contact = c1FlexGrid1.Cols["Contact"];
            Contact.EditMask = "(000)-000-0000";
            Contact.EditorValidation.Add(new RequiredRule());     
        }
    }
}
